List group mappings
/group-mapping
Query Parameters
Filter mappings by team ID.
05daecaf-4365-42e8-8370-8127de5dd717Filter mappings by SCIM group ID.
9c2b104d-74a6-47f2-b93e-c6b611e82391Filter mappings by mapping ID.
1ba1f401-7183-47c5-9e39-e8e257e3c795Response Body
100MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRaThe date and time when the group mapping was created.
2021-08-10T10:00:00.000ZEnvironment IDs that members of the mapped group are granted access to.
The ID of the group mapping.
1ba1f401-7183-47c5-9e39-e8e257e3c795The role granted to members of the mapped SCIM group. Null leaves the role unchanged.
memberadminmember
The ID of the SCIM group this mapping applies to.
9c2b104d-74a6-47f2-b93e-c6b611e82391The ID of the team that owns this group mapping.
05daecaf-4365-42e8-8370-8127de5dd717The date and time when the group mapping was last updated.
2021-08-10T10:30:00.000Zcurl -X GET 'https://api.truto.one/group-mapping' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/group-mapping', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/group-mapping"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())